"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lib_1 = require("../lib");
describe('apply', () => {
    test('simple', () => {
        expect(lib_1.Changeset.apply(lib_1.Changeset.update({
            name: 'jack',
            title: 'engineer',
        }, { title: 'manager' }))).toStrictEqual({
            name: 'jack',
            title: 'manager',
        });
    });
    test('deep', () => {
        expect(lib_1.Changeset.apply(lib_1.Changeset.update({
            name: 'jack',
            title: 'engineer',
            metadata: {
                custom: false,
            },
        }, {
            metadata: {
                custom: true,
            },
        }))).toStrictEqual({
            name: 'jack',
            title: 'engineer',
            metadata: {
                custom: true,
            },
        });
    });
});
//# sourceMappingURL=apply.spec.js.map